Package org.eclipse.birt.report.engine.api.script

# Interface IUpdatableDataSetRow

All Superinterfaces:
  `IDataSetRow`

public interface IUpdatableDataSetRow extends IDataSetRow
A Data Set Row which allows its column values to be updated.

## Method Summary

Modifier and Type
Method
Description
`void`
`setColumnValue(int index, Object value)`
Sets the column data by index.
`void`
`setColumnValue(String name, Object value)`
Sets the column data by column name.

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.IDataSetRow

`getColumnValue, getColumnValue, getDataSet`

## Method Details

### setColumnValue

void setColumnValue(int index, Object value) throws ScriptException
Sets the column data by index. Column index starts from 1.

Parameters:
  `index` - 1-based index of column. Value must be between 1 and the number of columns
  `value` - New value for column (can be null)
Throws:
  `ScriptException` - if index is out of range, or if value cannot be converted to the data type of the column

### setColumnValue

void setColumnValue(String name, Object value) throws ScriptException
Sets the column data by column name.

Parameters:
  `name` - name of column
Throws:
  `ScriptException` - Named column does not exist, or if value cannot be converted to the data type of the column